Search results

Setting maxHeight to the Dialog in JavaScript (ES5) Dialog control

08 May 2023 / 1 minute to read

By default, the maxHeight for the Dialog is calculated based on the target. If the target is not specified externally, the Dialog consider the body as target and will calculate the maxHeight based on it. We have an option to set the maxHeight of the Dialog in the beforeOpen event.

Source
Preview
index.js
index.html
styles.css
Copied to clipboard
ej.base.enableRipple(true);

// Initialize Dialog component.
var dialog = new ej.popups.Dialog({
    width: '800px',
    showCloseIcon: true,
    position: { X: 'center', Y: 'center' },
    header: 'Dialog',
    created: onCreated,
    beforeOpen: onOpen,
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    visible:false,
});
// Render initialized Dialog.
dialog.appendTo('#dialog');
// Sample level code to handle the button click action.
document.getElementById('targetButton').onclick = function () {
    // Call the show method to open the Dialog.
    dialog.show();
}
function onCreated() {
    document.getElementById('dlgContent').style.display = 'block';
    dialog.refreshPosition();
}
function onOpen(args){
    // setting maxHeight to the Dialog.
    args.maxHeight = '300px';
}
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Dialog with scrollable content</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-base/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <button class="e-control e-btn" id="targetButton" role="button" e-ripple="true" style="position: absolute;">Open Dialog</button>
        <div id="dialog">
            <div id="dlgContent" style="display: none">
                <div>
                    <b>JavaScript:</b><br>
                    JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                    language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                    content production; the majority of websites employ it and it is supported by all modern Web browsers without
                    plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                    supporting object-oriented , imperative, and functional programming styles.
                    <br><br><br>
                    <b>MVC:</b><br>
                    Model–view–controller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                    A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                    A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                    A view requests from the model the information that it needs to generate an output representation to the user.
                </div>
            </div>
        </div>
        
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
Copied to clipboard
html,
body,    
#container {
    height: 100%;
    width: 100%;
}

body {
    overflow-y: scroll;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-fixed {
    position: fixed;
}

Setting max height to the dialog in Angular Dialog component

27 Sep 20237 minutes to read

By default, the maxHeight for the Dialog is calculated based on the target. If the target is not specified externally, the Dialog consider the body as target and will calculate the maxHeight based on it. We have an option to set the maxHeight of the Dialog in the beforeOpen event.

import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';
@Component({
    selector: 'app-root',
    template: `
    <button class="e-control e-btn" style="position: absolute;" id="targetButton" (click)="onOpenDialog($event)">Open Dialog</button>
    <div #container class='root-container'></div>
      <ejs-dialog id='dialog' #ejDialog header='Dialog' showCloseIcon='true' [visible]='visible' [target]='targetElement'
      width='800px' (created)="onCreated()" (beforeOpen)="onBeforeOpen($event)" [position]='position'>
      <ng-template #content>
            <div id="dlgContent" style="display: none">
                <div>
                    <b>JavaScript:</b><br />
                    JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                    language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                    content production; the majority of websites employ it and it is supported by all modern Web browsers without
                    plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                    supporting object-oriented , imperative, and functional programming styles.
                    <br /><br /><br />
                    <b>MVC:</b><br />
                    Model–view–controller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                    A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                    A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                    A view requests from the model the information that it needs to generate an output representation to the user.
                </div>
            </div>
        </ng-template>
      </ejs-dialog> `
})
export class AppComponent implements OnInit {
    @ViewChild('ejDialog') ejDialog: DialogComponent |any;
    // Create element reference for dialog target element.
    @ViewChild('container', { read: ElementRef }) container: ElementRef| any;
    // The Dialog shows within the target element.
    public targetElement?: HTMLElement;
    position = { X: 'center', Y: 'center' };
    //To get all element of the dialog component after component get initialized.
    ngOnInit() {
      this.initilaizeTarget();
    }
    // Initialize the Dialog component's target element.
    public initilaizeTarget: EmitType<object> = () => {
      this.targetElement = this.container.nativeElement.parentElement;
    }
    public visible: Boolean = false;
    // Hide the Dialog when click the footer button.
    public hideDialog: EmitType<object> = () => {
        this.ejDialog.hide();
    }
    // Sample level code to handle the button click action.
    public onOpenDialog = (event: any): void => {
        // Call the show method to open the Dialog.
        this.ejDialog.show();
    }
    public onCreated = (): void => {
      document.getElementById('dlgContent')!.style.display = 'block';
      this.ejDialog.refreshPosition();
    }
    public onBeforeOpen = function(args: any): void {
      // setting maxHeight to the Dialog.
      args.maxHeight = '300px';
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
		DialogModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Setting max height to the dialog in React Dialog component

18 Jan 202324 minutes to read

By default, the maxHeight for the Dialog is calculated based on the target. If the target is not specified externally, the Dialog consider the body as target and will calculate the maxHeight based on it. We have an option to set the maxHeight of the Dialog in the beforeOpen event.

[Class-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
class App extends React.Component {
    dialogInstance;
    handleClick() {
        this.dialogInstance.show(true);
    }
    onCreated = () => {
        // document.getElementById('dlgContent').style.display = 'block';
        this.dialogInstance.refreshPosition();
    };
    onBeforeOpen = (args) => {
        args.maxHeight = '300px';
    };
    render() {
        return (<div className="App" id='dialog-target'>
      <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>

      <DialogComponent header='Dialog' showCloseIcon={true} visible={false} width='800px' showCloseIcon="true" target='#dialog-target' ref={dialog => this.dialogInstance = dialog} created={this.onCreated} beforeOpen={this.onBeforeOpen}>
      <div className="dialogContent">
                  <span>
                   <b>JavaScript:</b><br />
                    JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                    language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                    content production; the majority of websites employ it and it is supported by all modern Web browsers without
                    plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                    supporting object-oriented , imperative, and functional programming styles.
                    <br /><br /><br />
                    <b>MVC:</b><br />
                    Modelviewcontroller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                    A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                    A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                    A view requests from the model the information that it needs to generate an output representation to the user.
                    </span>
            </div>
       </DialogComponent>
  </div>);
    }
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

class App extends React.Component<{}, {}> {
  public dialogInstance: DialogComponent;


public handleClick() {
    this.dialogInstance.show(true);
}
public onCreated = () => {
    // document.getElementById('dlgContent').style.display = 'block';
    this.dialogInstance.refreshPosition();
  }
  public onBeforeOpen = (args: beforeOpenEventArgs) => {
    args.maxHeight = '300px';
  }
public render() {
  return (
  <div className="App" id='dialog-target'>
      <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>

      <DialogComponent header='Dialog' showCloseIcon={true} visible={false} width='800px' showCloseIcon = "true" target='#dialog-target' ref={dialog => this.dialogInstance = dialog!} created = {this.onCreated} beforeOpen = {this.onBeforeOpen}>
      <div className="dialogContent">
                  <span>
                   <b>JavaScript:</b><br />
                    JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                    language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                    content production; the majority of websites employ it and it is supported by all modern Web browsers without
                    plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                    supporting object-oriented , imperative, and functional programming styles.
                    <br /><br /><br />
                    <b>MVC:</b><br />
                    Modelviewcontroller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                    A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                    A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                    A view requests from the model the information that it needs to generate an output representation to the user.
                    </span>
            </div>
       </DialogComponent>
  </div>);
}
}
export default App;

[Functional-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
function App() {
    let dialogInstance;
    function handleClick() {
        dialogInstance.show(true);
    }
    function onCreated() {
        // document.getElementById('dlgContent').style.display = 'block';
        dialogInstance.refreshPosition();
    }
    function onBeforeOpen(args) {
        args.maxHeight = '300px';
    }
    return (<div className="App" id='dialog-target'>
        <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
        <DialogComponent header='Dialog' showCloseIcon={true} visible={false} width='800px' showCloseIcon={true} target='#dialog-target' ref={dialog => dialogInstance = dialog} created={onCreated} beforeOpen={onBeforeOpen}>
        <div className="dialogContent">
                    <span>
                     <b>JavaScript:</b><br />
                      JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                      language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                      content production; the majority of websites employ it and it is supported by all modern Web browsers without
                      plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                      supporting object-oriented , imperative, and functional programming styles.
                      <br /><br /><br />
                      <b>MVC:</b><br />
                      Modelviewcontroller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                      A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                      A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                      A view requests from the model the information that it needs to generate an output representation to the user.
                      </span>
              </div>
         </DialogComponent>
    </div>);
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

function App(){
    let dialogInstance: DialogComponent;
    function handleClick() {
        dialogInstance.show(true);
    }
    function onCreated () {
      // document.getElementById('dlgContent').style.display = 'block';
      dialogInstance.refreshPosition();
    }
    function onBeforeOpen(args: beforeOpenEventArgs) {
      args.maxHeight = '300px';
    }

    return (
    <div className="App" id='dialog-target'>
        <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
        <DialogComponent header='Dialog' showCloseIcon={true} visible={false} width='800px' showCloseIcon ={true} target='#dialog-target' ref={dialog => dialogInstance = dialog!} created = {onCreated} beforeOpen = {onBeforeOpen}>
        <div className="dialogContent">
                    <span>
                     <b>JavaScript:</b><br />
                      JavaScript is a high-level, dynamic, untyped, and interpreted programming language. It has been standardized in the ECMAScript
                      language specification. Alongside HTML and CSS, it is one of the three essential technologies of World Wide Web
                      content production; the majority of websites employ it and it is supported by all modern Web browsers without
                      plug-ins. JavaScript is a prototype-based programming language with first-class functions, making it a multi-paradigm language,
                      supporting object-oriented , imperative, and functional programming styles.
                      <br /><br /><br />
                      <b>MVC:</b><br />
                      Modelviewcontroller (MVC) is a software architecture pattern which separates the representation of information from the user's interaction with it. The model consists of application data, business rules, logic, and functions. A view can be any output representation of data, such as a chart or a diagram. Multiple views of the same data are possible, such as a bar chart for management and a tabular view for accountants. The controller mediates input, converting it to commands for the model or view.The central ideas behind MVC are code reusability and in addition to dividing the application into three kinds of components, the MVC design defines the interactions between them.
                      A controller can send commands to its associated view to change the view's presentation of the model (e.g., by scrolling through a document). It can also send commands to the model to update the model's state (e.g., editing a document).
                      A model notifies its associated views and controllers when there is a change in its state. This notification allows the views to produce updated output, and the controllers to change the available set of commands. A passive implementation of MVC omits these notifications because the application does not require them or the software platform does not support them.
                      A view requests from the model the information that it needs to generate an output representation to the user.
                      </span>
              </div>
         </DialogComponent>
    </div>);
}

export default App;

Setting max height to the dialog in Vue Dialog component

16 Mar 20234 minutes to read

By default, the maxHeight for the Dialog is calculated based on the target. If the target is not specified externally, the Dialog consider the body as target and will calculate the maxHeight based on it. We have an option to set the maxHeight of the Dialog in the beforeOpen event.

<template>
  <div>
    <div id="target" class="control-section; position:relative" style="height:360px;">
        <!-- Render Button to open the Dialog -->
        <ejs-button id='dlgbtn' v-on:click.native="btnClick">Open Dialog</ejs-button>
        <!-- Render Dialog -->
        <ejs-dialog ref="footerDialog" :header='header' :target='target' :width='width' :buttons='buttons' :visible='visible' :showCloseIcon='showCloseIcon' :content='content' :close="dlgClose" :beforeOpen='onBeforeOpen'>
        </ejs-dialog>
    </div>
  </div>
</template>
<script>
import Vue from 'vue';
import { DialogPlugin } from '@syncfusion/ej2-vue-popups';
import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';
Vue.use(DialogPlugin);
Vue.use(ButtonPlugin);

export default {
    data: function() {
        return {
            target: "#target",
            width: '800px',
            header: 'Dialog',
            visible: false,
            showCloseIcon: true,
            content: 'This is a Dialog with max-height',
            buttons: [{ click: this.dlgButtonClick, buttonModel: { content: 'OK', isPrimary: true } },
            { click: this.dlgButtonClick, buttonModel: { content: 'Cancel' }}],
            animationSettings: { effect: 'None' }
        }
    },
    mounted: function(){
        document.getElementById('dlgbtn').focus();
    },
    methods: {
        btnClick: function() {
            this.$refs.footerDialog.show();
        },
        dlgClose: function() {
            document.getElementById('dlgbtn').style.display = '';
        },
        dlgButtonClick: function() {
            this.$refs.footerDialog.hide();
        },
        onBeforeOpen: function(args: beforeOpenEventArgs) {
              args.maxHeight = '300px';
        }
    }
}
</script>
<style>
@import "../../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
    #app {
        color: #008cff;
        height: 40px;
        left: 45%;
        position: absolute;
        top: 45%;
        width: 30%;
    }
    .control-section {
        height: 100%;
        max-height: 380px;
        overflow: hidden;
    }

</style>